//////////////////////////////////////////////////
//Deathmatch Damage Calculator
//////////////////////////////////////////////////
function DMDMGcalc(%dmg, %shooter, %target) {
  if(%target.DMArmor == 1)
    %dmg = (%dmg * 0.5);
  if(%shooter.DMArrow == 1)
    %dmg = (%dmg * 2);
  if (%target.DMShield || (%shooter.team $= %target.team && %shooter.team !$=""))
    %dmg = 0;
//bot wars check
  if ($botwars && %shooter.botcount <= 0 && %target.botcount >= 0)
    %dmg = 0;
  return %dmg;
  }

function tbmcollison(%tbmthis,%tbmobj,%tbmcol,%tbmfade,%tbmpos,%tbmnormal) {
  %player = %tbmobj.client.player;
  %client = %player.client;
  if(!%player || %col.client.poon)
    return 0;
  if (%tbmcol.getClassName() !$= "StaticShape" && %tbmcol.getClassName() !$= "Player" && %tbmcol.getClassName() !$= "AIplayer" && %tbmcol.getClassName() !$= "brick")
    return;
  %colData = %tbmcol.getDataBlock();
  %colDataClass = %colData.classname;
  if ($botwars) {
    if ( %tbmcol.getClassName() $= "AIPlayer" && %client.botcount > 0) {
      if (%tbmcol.owner == %tbmobj.client) {
        %tbmcol.threat = %tbmobj.client.threat;
        %tbmcol.follow = %tbmobj.client.player;
        %tbmcol.setMoveSpeed(1);
        %tbmcol.applyRepair(100);
        return;
        }
      else {
       %tbmcol.threat = %tbmobj.client.player;
       %tbmcol.follow = %tbmobj.client.player;
       schedule(100,0,checkdeath,%tbmcol,%tbmobj.client);
       %tbmcol.damage(%tbmobj,%tbmpos,%tbmthis.directDamage,%tbmobj.getdatablock().damagemsg);
       return; 
       }
      }
    else if (%tbmcol.getClassName() $= "Player" ) {
      if ((%client.botcount > 0 && %tbmcol.client.botcount > 0) || (%client.killer && %tbmcol.client.killer)) {
        %tbmcol.client.threat = %tbmobj.client.player;
        %tbmobj.client.threat = %tbmcol.client.player;
        %DMdmg = DMDMGcalc(%tbmthis.directDamage, %client, %tbmcol.client);
        %tbmcol.damage(%tbmobj,%tbmpos,%DMdmg,%tbmobj.getdatablock().damagemsg);
        return;
        }
      }
    }	
  else {
    if(%tbmcol.getClassName() $= "Player") {
	%target = %tbmcol.client;
	%DMdmg = DMDMGcalc(%tbmthis.directDamage, %client, %target);
	%tbmcol.damage(%tbmobj,%tbmpos,%DMdmg,%tbmthis.damagetype);
	}
}
}
//////////////////////////////


function GameConnection::onClientEnterGame(%this) {
  commandToClient(%this, 'updatecrosshair');
  commandToClient(%this, 'SyncClock', $Sim::Time - $Game::StartTime);
  %this.camera = new Camera() { dataBlock = Observer; };
  MissionCleanup.add( %this.camera );
  %this.camera.scopeToClient(%this);
  if (!$Pref::Server::AdminInventory)
    %this.score = 0;
  if ($pref::server::autoteambalance && $TeamCount >= 2)
    assignateam(%this);
  %this.HScale = 1;
  if (%this.isadminhere())
    messageAll('MsgAutoMod', "\c2"@%this.namebase@" \c3has been admined by the Server."); 
  else if (%this.ismodhere())
    messageAll('MsgAutoMod', "\c2"@%this.namebase@" \c3has been modded by the Server."); 
  %this.spawnPlayer();
  }

function GameConnection::onClientLeaveGame(%this) {
  if (%this.lastswitch.getskinname()$="ghost")
    %this.lastswitch.setskinname(%this.lastswitchcolor);
  $LastPlayerToLeave = getRawIP( %this );
  %player = %this.player;
  if(isObject(%player.tempBrick)) {
    %player.tempBrick.delete();
    %player.tempBrick = "";
    }
  if (isObject(%this.player))
    %this.player.kill();
  if (isObject(%this.camera))
    %this.camera.delete();
  }

function GameConnection::onDeath(%this, %sourceObject, %sourceClient, %damageType, %damLoc) {
  %player = %this.player;
  tbmplayerdebris(%player);
  for (%x=19; %x>=0; %x--)
    ServerCmddropInventory( %player.client, %x);
  %player.setShapeName("");
  if(isObject(%player.tempBrick)) {
    %player.tempBrick.delete();
    %player.tempBrick = "";
    }
   
   // Switch the client over to the death cam and unhook the player object.
   if (isObject(%this.camera) && isObject(%this.player)) {
     %this.camera.setMode("Corpse",%this.player);
     %this.setControlObject(%this.camera);
   }
   // Doll out points and display an appropriate message
   if (%damageType $= "Suicide" || %sourceClient == %this) {
     %this.incScore(-1);
     if (%this.gender)
       messageAll('MsgClientKilled','%1 takes her own life!',%this.name);
     else
       messageAll('MsgClientKilled','%1 takes his own life!',%this.name);
     return;
     }
   else if(isObject(%sourceClient)) {
     %sourceClient.incScore(1);
     if (%damageType $= "Eat")
       messageAll('MsgClientKilled','%2 just ate %1! Now that\'s class.',%this.name,%sourceClient.name);
      else if (%damageType $= "punished")
       messageAll('MsgClientKilled','%2 just swollowed the worthless soul of %1.',%this.name,%sourceClient.name);
      else if (%damageType $= "punished2")
       messageAll('MsgClientKilled','%2 has ended the pitiful life of %1.',%this.name,%sourceClient.name);
      else 
        messageAll('MsgClientKilled',%damagetype,%this.name,%sourceClient.name);
    if (%this.bodytype==666) {
      %this.bodytype=0;
      %sourceClient.bodytype=666;  
      %newteam=%sourceClient.team;
      %sourceClient.team=%this.team;
      %this.team=%newteam;
      %sourceClient.player.kill();
      }
    %this.player=0;
   }
   else {
     // %this.incScore(-1);
     //messageAll('MsgClientKilled','%1 dies.',%this.name);
   }
}

function gameConnection::spawnPlayer(%this) {
  if ($TeamCount >= 2) {
    if (%this.team $= "red") 
      %spawnPoint = pickSpawnPoint(1);
    else if (%this.team $= "blue") 
      %spawnPoint = pickSpawnPoint(2);   
    else if (%this.team $= "green") 
      %spawnPoint = pickSpawnPoint(3);   
    else if (%this.team $= "yellow") 
      %spawnPoint = pickSpawnPoint(4);   
    else 
      %spawnPoint = pickSpawnPoint(0);
    }
  else 
    %spawnPoint = pickSpawnPoint(0);
  %this.createPlayer(%spawnPoint);
  %this.invis=0;
  %this.DMShield=0;
  %this.DMArmor=0;
  %this.DMArrow=0;
  %this.poon=0;
  messageClient(%this, 'MsgHilightInv', '', -1);
  }   

function gameConnection::createPlayer(%this, %spawnPoint) {
  switch$ (%this.bodytype) {
    case 1:
      %player = new Player() {
         dataBlock = MBlue;
         client = %this;
         };
    case 2:
      %player = new Player() {
         dataBlock = MGreen;
         client = %this;
         };
    case 3:
      %player = new Player() {
         dataBlock = MRed;
         client = %this;
         };
    case 4:
      %player = new Player() {
         dataBlock = MYellow;
         client = %this;
         };
    case 5:
      %player = new Player() {
         dataBlock = MBrown;
         client = %this;
         };
    case 6:
      %player = new Player() {
        dataBlock = MGray;
        client = %this;
        };
    case 7:
      %player = new Player() {
        dataBlock = MGrayDark;
        client = %this;
        };
    case 8:
      %player = new Player() {
        dataBlock = MWhite;
        client = %this;
        };
    case 666:
      %player = new Player() {
        dataBlock = preditor;
        client = %this;
        };
    default:
      %player = new Player() {
        dataBlock = LightMaleHumanArmor;
        client = %this;
        };
      }
    %this.player = %player;
    %client = %this;
  if (%client.isadmin || %client.issuperadmin || %client.ismod) 
    %client.bricklimit = 1;
  else
    %client.bricklimit = 0;
  MissionCleanup.add(%player);
  if (%client.HScale==0)
    %scaler="F";
  else if (%client.HScale==0)
    %scaler="S";
  else
    %scaler="x"@%client.HScale;
  if( $Pref::Server::AdminInventory) {
	%player.inventory[0] = nameToID(brick2x2);
	%player.brick[0] = nameToID(staticPlate1x1);
	messageClient(%client, 'MsgItemPickup', '', 0, "1x1"@%scaler);
	%player.inventory[1] = nameToID(brick2x2);
	%player.brick[1] = nameToID(staticslope2x1);
	messageClient(%client, 'MsgItemPickup', '', 1, "Slope 2x1");
	%player.inventory[2] = nameToID(brick2x2);
	%player.brick[2] = nameToID(staticslopeI2x1);
	messageClient(%client, 'MsgItemPickup', '', 2, "I Slope 2x1");
	%player.inventory[3] = nameToID(brick2x2);
	%player.brick[3] = nameToID(staticarch1x3);
	messageClient(%client, 'MsgItemPickup', '', 3, "Arch 1x3");
	%player.inventory[4] = nameToID(brick2x2);
	%player.brick[4] = nameToID(staticbrick1x2x2window);
	messageClient(%client, 'MsgItemPickup', '', 4, "Window 1x2x2");
	%player.inventory[5] = nameToID(brick2x2);
	%player.brick[5] = nameToID(staticwing2x16 );
	messageClient(%client, 'MsgItemPickup', '', 5, "Wing 2x16");
	%player.inventory[6] = nameToID(brick2x2);
	%player.brick[6] = nameToID(staticcylinderhalf2x3 );
	messageClient(%client, 'MsgItemPickup', '', 6, "Cylinder H 2x3");
	%player.inventory[7] = nameToID(brick2x2);
	%player.brick[7] = nameToID(staticflowerbrick);
	messageClient(%client, 'MsgItemPickup', '', 7, "Flower");
	%player.inventory[8] = nameToID(brick2x2);
	%player.brick[8] = nameToID(staticdecal1x1);
	messageClient(%client, 'MsgItemPickup', '', 8, "Decal 1x1");
	%player.inventory[9] = nameToID(brick2x2);
	%player.brick[9] = nameToID(staticplate32x32);
	messageClient(%client, 'MsgItemPickup', '', 9, "Platform 32");
    for(%i=10;%i<20;%i++)
    {
        %player.inventory[%i] = 0;
        messageClient(%client, 'MsgItemPickup', '', %i, "");
    }
 } else {
    for(%i=0;%i<20;%i++) {
    %player.inventory[%i] = 0;
	messageClient(%client, 'MsgItemPickup', '', %i, "");
    }
 }
  if($Server::MissionType $= "TBMSandBox")	{
	if (%client.team !$= "") 
		%player.setSkinName(%this.team);
    	else
		%player.setSkinName(%this.colorSkin);
 	%player.mountImage(%this.headCode, $headSlot, 1, %this.headCodeColor);
	%player.mountImage(%this.visorCode, $visorSlot, 1, %this.visorCodeColor);
	%player.mountImage(%this.backCode, $backSlot, 1, %this.backCodeColor);
	%player.mountImage(%this.leftHandCode, $leftHandSlot, 1, %this.leftHandCodeColor);
        %player.mountImage(%this.chestCode, $chestSlot, 1, %this.chestdecalcode);
        %player.mountImage(%this.faceCode, $faceSlot, 1, %this.facedecalcode);
    }
  for(%i=0;%i<20;%i++)
  %player.isEquiped[%i] = false;
  messageClient(%this, 'MsgHilightInv', '', -1);
  %player.currWeaponSlot = -1;
  %player.setTransform(%spawnPoint);
  
  //This is interesting we should use it
  %player.setEnergyLevel(%player.getDataBlock().maxEnergy); 
  
  //This area I used to clearly label teams in game   
  %player.setShapeName(%this.name);
  %this.camera.setTransform(%player.getEyeTransform());
  %this.player = %player;
  %this.setControlObject(%player);
  schedule($pref::server::spawnprotect,0,resetShieldPickup,%player);
  if (%this.bodytype==666) {
      %player.setcloaked(1);
      %this.poon=1;
      startvampire(%player);
    }
  else {
    %player.startfade(0,0,0);
    %player.startfade($pref::server::spawnprotect,0,0);
    }
}

function ServerCmddropInventory( %client, %position) {
	%player = %client.player;
	%item = %player.inventory[%position];
	if( %player.brick[%position] && %player.inventory[%position])
		serverCmdBrickParse(%client, -1);
	else {
		if(%item && %player) {
			%muzzlepoint = Vectoradd(%player.getposition(), "0 0 1.5");
			%muzzlevector = %player.getEyeVector();
			%muzzlepoint = VectorAdd(%muzzlepoint, %muzzleVector);
			%playerRot = rotFromTransform(%player.getTransform());
			%thrownItem = new (item)() { datablock = %item;	count = %player.getinventory(%item); };
			if ($CTF && %player.inventory[%position] == nametoid(Flag)) {
                                if (%client.player.getmountedimage(5) != nametoid(CrownImage))
				  %client.carrier=0;
	      			messageAll( 'MsgAdminForce', %player.client.namebase@" has dropped the "@%client.player.enemyflag@" team\'s flag.");
                                %thrownItem.setskinname(%client.player.enemyflag);
                                %client.player.enemyflag = "";
				}
			else if ($crownchase && %player.inventory[%position] == nametoid(Crown)) {
                                if (%client.player.getmountedimage(1) != nametoid(FlagImage))
 				  %client.carrier=0;
				messageAll( 'MsgAdminForce', "The Crown has been dropped");
				}
			MissionCleanup.add(%thrownItem);
			%thrownItem.settransform(%muzzlepoint @ " " @ %playerRot);
			%thrownItem.setVelocity(vectorScale(%muzzlevector, 20));
			if(%item.persistant == false && %item == nametoid(Flag))
				Flag::schedulePop(%thrownItem);
			else if(%item.persistant == false && %item == nametoid(Crown))
                                Crown::schedulePop(%thrownItem);
			else if(%item.persistant == false)
		 		%thrownItem.schedule($ItemTime, delete);
			%thrownItem.setCollisionTimeout(%player);
			if(%player.isEquiped[%position] == true || %player.currWeaponSlot == %position)	{
				%image = %item.image;
				%mountedImage = %player.getMountedImage(%image.mountPoint);
                                echo("mount point "@%image.mountPoint);
				%player.unMountImage(%image.mountPoint);		
                                if (%image.mountPoint == $headslot)
                                  %player.mountImage(%player.client.headCode, $headSlot, 1, %player.client.headCodeColor);
				if(%player.currWeaponSlot == %position)	{
					%player.currWeaponSlot = -1;
					%player.unMountImage($rightHandSlot);	
					}
				else
					%player.isEquiped[%position] = false;
				}
			%player.inventory[%position] = 0;	
			if(%item.className $= "Weapon")
				%player.weaponCount--;
			messageClient(%client, 'MsgDropItem', "", %position);
			}
		else {
	 	//nothing in the slot, or no player, done
			}
		}
	}


function pickSpawnPoint(%tag) {
  //echo(%tag);
  %a=-1;
  if (%tag>0) {
    for (%i=0; %i<missioncleanup.getcount(); %i++) {
      if (missioncleanup.getobject(%i).type==%tag*-1) {
        missioncleanup.getobject(%i).radius=5;
        %cspawn[%a++]=missioncleanup.getobject(%i);
        }
      }
    if (%a>=0) {
      %index = getRandom(%a);
      %spawn = %cspawn[%index];
      }
    else 
      %spawn=0;
      }
  if (%tag<=0 || %spawn==0) {
    %groupName = "MissionGroup/PlayerDropPoints";
    %group = nameToID(%groupName);
    if (%group != -1) {
      %count = %group.getCount();
      if (%count != 0) {
        %index = getRandom(%count-1);
        %spawn = %group.getObject(%index);
        }
      }
    }
  if (isobject(%spawn)) {
    %trans = %spawn.getTransform();
    %transX = getWord(%trans, 0);
    %transY = getWord(%trans, 1);
    %transZ = getWord(%trans, 2);
    %r = getRandom(%spawn.radius * 10) / 10;
    %ang = getRandom($pi * 2 * 100) / 100;
    %transX += %r * mCos(%ang);
    %transY += %r * mSin(%ang);
    %transXY = %transX @ " " @ %transY;
    %spawnAngle = getRandom($pi * 2 * 100) / 100;
    %returnTrans = %transX  @ " " @ %transY @ " " @ %transZ @ " 0 0 1 " @ %spawnAngle;
    return %returnTrans;
    }
  else
     return "0 0 300 1 0 0 0";
  }
function startvampire(%player) {
  if (isobject(%player)) {
    if (%player.getDamageLevel() < 990)
      %player.damage(0,0,5,'The Thirst');   
    $predhurt=Schedule(1000,0,startvampire,%player);
    }
}
